/ api / name / gb.addstring
GB.AddString
Syntax

    void GB.AddString ( char **str , const char *add , long len )

Adds a string to another one, by expanding it as needed.

- str must point at a variable containing the address of the final string.
- add is a string that will be added to str.
- len is the length of this string.

Use this function if you need a string buffer to catenate other strings, and if you don't know the length of the final string.

| Do not forget to release the string buffer when you do not need it anymore.

### See also

String Management